| Qore HttpServerUtil Module Reference 1.0

Public Member Functions | List of all members
HttpServer::HttpListenerInterface Class Referenceabstract

this abstract class defines the public interface of the private HttpListener class defined in the HttpServer module More...

Inheritance diagram for HttpServer::HttpListenerInterface:
[legend]

## Public Member Functions
abstract | addUserThreadContext (hash< auto > uctx)
| adds user-defined data to be returned in the `"uctx"` context key when serving requests from this listener More...
| logResponse (hash< auto > cx, hash< auto > rv)
| method to log a response message More...
abstract auto | removeUserThreadContext (*string k)
| removes the given key from the `"uctx"` context key More...
Public Member Functions inherited from HttpServer::AbstractLogger
abstract | log (string fmt)
| called to log information to the registered log code More...
| logArgs (*softlist< auto > args)
| calls log() with the given args More...
abstract | logError (string fmt)
| called to log error information to the registered error log code More...
| logErrorArgs (*softlist< auto > args)
| calls logError() with the given args More...

## Detailed Description

this abstract class defines the public interface of the private HttpListener class defined in the HttpServer module

## Member Function Documentation

## ◆ addUserThreadContext()

abstract HttpServer::HttpListenerInterface::addUserThreadContext | ( | hash< auto > | uctx | ) |
| pure virtual

adds user-defined data to be returned in the `"uctx"` context key when serving requests from this listener

Parameters

  uctx | user-defined data to be returned in the `"uctx"` context key when serving requests from this listener

## ◆ logResponse()

HttpServer::HttpListenerInterface::logResponse | ( | hash< auto > | cx,
|  | hash< auto > | rv
| ) |  |

method to log a response message

Parameters

  cx | the call context
  rv | the response hash

## ◆ removeUserThreadContext()

abstract auto HttpServer::HttpListenerInterface::removeUserThreadContext | ( | *string | k | ) |
| pure virtual

removes the given key from the `"uctx"` context key

Parameters

  k | the key to remove from the `"uctx"` context hash; if no argument is provided, then the `"uctx"` context hash is removed entirely